Name:           perl-Data-OptList
Version:        0.114
Release:        1
Summary:        Parse and validate simple name/value option pairs
License:        GPL-1.0-or-later and Artistic-1.0-Perl
URL:            https://metacpan.org/release/Data-OptList
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Data-OptList-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) perl(List::Util) perl(Params::Util)
BuildRequires:  perl(strict) perl(Sub::Install) >= 0.921 perl(warnings)
BuildRequires:  perl(File::Spec) perl(Test::More) >= 0.88 perl(Test::Pod) >= 1.41
BuildRequires:  perl(CPAN::Meta) >= 2.120900 perl(CPAN::Meta::Prereqs)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Data-OptList is a Perl module to parse and validate simple name/value option pairs.

%package        help
BuildArch:      noarch
Summary:        Help documents for perl-Data-OptList

%description    help
The perl-Data-OptList-help package conatins manual pages for perl-Data-OptList.

%prep
%autosetup -n Data-OptList-%{version} -p1

for F in t/*; do
    perl -MExtUtils::MakeMaker -e "ExtUtils::MM_Unix->fixin(q{$F})"
done

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%license LICENSE
%{perl_vendorlib}/Data/

%files help
%doc Changes README t/
%{_mandir}/man3/Data::OptList.3*

%changelog
* Thu Dec 28 2023 liyanan <liyanan61@h-partners.com> - 0.114-1
- Upgrade to version 0.114

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.112-1
- Upgrade to version 0.112

* Wed Nov 27 2019 liujing<liujing144@huawei.com> - 0.110-9
- Package init
